Name: H5Tpack
Signature:
  herr_t `H5Tpack`(hid_t `type_id` )
Purpose:
  Recursively removes padding from within a compound datatype.
Description:
  `H5Tpack` recursively removes padding from within a compound datatype to make it more efficient (space-wise) to store that data.
Parameters:

hid_t `type_id` | Identifier of datatype to modify.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5tpack_f

      SUBROUTINE h5tpack_f(type_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id ! Datatype identifier
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
      END SUBROUTINE h5tpack_f